Running Eclipse from RHAPS2 on RHEL-4 - Redhat

This is a discussion on Running Eclipse from RHAPS2 on RHEL-4 - Redhat ; Hi! I have difficulties try running Eclipse on RHEL-4 rebuild systems (CentOS). I downloaded Eclipse from RHAPS2 collection (version 3.0.2-8) and installed. The only issues is that the packages need another package providing "java". Well, I have both j2sdk-1.4.2_03 and ...

+ Reply to Thread
Results 1 to 10 of 10

Thread: Running Eclipse from RHAPS2 on RHEL-4

  1. Running Eclipse from RHAPS2 on RHEL-4

    Hi!

    I have difficulties try running Eclipse on RHEL-4 rebuild
    systems (CentOS). I downloaded Eclipse from RHAPS2 collection

    (version 3.0.2-8) and installed. The only issues is that the
    packages need another package providing "java". Well, I have
    both j2sdk-1.4.2_03 and java-1.4.2-gcj-compat + gcc-java-3.4.4-2
    installed, so I should be Ok, right? Well not quite.

    Running eclipse just as is, it use java from
    java-1.4.2-gcj-compat, well, it end quickly with this error:

    java.lang.NoClassDefFoundError: while resolving class: org.eclipse.core.runtime.adaptor.EclipseAdaptor


    So I tried running eclipse with j2sdk (Sun Java 2), using the
    -vm option. It ends up almost as quickly with this error:

    java.lang.UnsatisfiedLinkError: /usr/lib/eclipse/libswt-pi-gtk-3064.so: /usr/lib/eclipse/libswt-pi-gtk-3064.so: undefined symbol: XTestFakeButtonEvent


    Any suggestions?

    Thanks! Happy Thanksgiving!

    --
    (Stephan Paul) Arif Sahari Wibowo
    _____ _____ _____ _____
    /____ /____/ /____/ /____
    _____/ / / / _____/ http://www.arifsaha.com/

  2. Re: Running Eclipse from RHAPS2 on RHEL-4

    S P Arif Sahari Wibowo wrote:
    > Hi!
    >
    > I have difficulties try running Eclipse on RHEL-4 rebuild systems
    > (CentOS). I downloaded Eclipse from RHAPS2 collection
    > (version
    > 3.0.2-8) and installed. The only issues is that the packages need
    > another package providing "java". Well, I have both j2sdk-1.4.2_03 and
    > java-1.4.2-gcj-compat + gcc-java-3.4.4-2 installed, so I should be Ok,
    > right? Well not quite.
    >
    > Running eclipse just as is, it use java from java-1.4.2-gcj-compat,
    > well, it end quickly with this error:
    >
    > java.lang.NoClassDefFoundError: while resolving class:
    > org.eclipse.core.runtime.adaptor.EclipseAdaptor
    >
    >
    > So I tried running eclipse with j2sdk (Sun Java 2), using the -vm
    > option. It ends up almost as quickly with this error:
    >
    > java.lang.UnsatisfiedLinkError: /usr/lib/eclipse/libswt-pi-gtk-3064.so:
    > /usr/lib/eclipse/libswt-pi-gtk-3064.so: undefined symbol:
    > XTestFakeButtonEvent
    >
    >
    > Any suggestions?
    >
    > Thanks! Happy Thanksgiving!
    >

    You will definitely get an answer if you ask in the correct newsgroup at
    say, news.eclipse.org eclipse.platform

    --


    Thanks in Advance...
    IchBin, Pocono Lake, Pa, USA
    http://weconsultants.servebeer.com/JHackerAppManager
    __________________________________________________ ________________________

    'If there is one, Knowledge is the "Fountain of Youth"'
    -William E. Taylor, Regular Guy (1952-)

  3. Re: Running Eclipse from RHAPS2 on RHEL-4

    On Thu, 24 Nov 2005, IchBin wrote:
    > You will definitely get an answer if you ask in the correct
    > newsgroup at say, news.eclipse.org eclipse.platform


    Any idea how to get to this newsgroup?
    I have access to 2 news server plus Google Groups, and there is
    no newsgroup for that Eclipse in all of them.

    --
    (Stephan Paul) Arif Sahari Wibowo
    _____ _____ _____ _____
    /____ /____/ /____/ /____
    _____/ / / / _____/ http://www.arifsaha.com/

  4. Re: Running Eclipse from RHAPS2 on RHEL-4

    "S P Arif Sahari Wibowo" wrote in message
    news:Pine.LNX.4.63.0511250042040.19312@localhost.l ocaldomain...
    > On Thu, 24 Nov 2005, IchBin wrote:
    >> You will definitely get an answer if you ask in the correct newsgroup at
    >> say, news.eclipse.org eclipse.platform

    >
    > Any idea how to get to this newsgroup?
    > I have access to 2 news server plus Google Groups, and there is no
    > newsgroup for that Eclipse in all of them.


    "news.eclipse.org" is a news-server, but I can't cet access to
    that server either...: "480 Authentication required for command".

    IchBin, do you know any public servers that mirrors it?

    --
    Dag.



  5. Re: Running Eclipse from RHAPS2 on RHEL-4

    Dag Sunde wrote:

    > "news.eclipse.org" is a news-server,


    Is it the one serving the groups mentioned here?


    >..but I can't cet access to
    > that server either...: "480 Authentication required for command".


    If 'yes', do any of the links from that page* provide
    the information you need to connect successfully?
    ( * Note also the bottom line.. )

    --
    Andrew Thompson
    physci, javasaver, 1point1c, lensescapes - athompson.info/andrew
    Currently accepting short and long term contracts - on Earth.

  6. Re: Running Eclipse from RHAPS2 on RHEL-4

    "Andrew Thompson" wrote in message
    news:KbAhf.3565$ea6.1639@news-server.bigpond.net.au...
    > Dag Sunde wrote:
    >
    >> "news.eclipse.org" is a news-server,

    >
    > Is it the one serving the groups mentioned here?
    >
    >
    >>..but I can't cet access to
    >> that server either...: "480 Authentication required for command".

    >
    > If 'yes', do any of the links from that page* provide
    > the information you need to connect successfully?
    > ( * Note also the bottom line.. )
    >


    Yes, and thank you!

    --
    Dag.



  7. Re: Running Eclipse from RHAPS2 on RHEL-4

    Dag Sunde wrote:

    > "Andrew Thompson" wrote in message
    >
    >>Dag Sunde wrote:
    >>
    >>>"news.eclipse.org" is a news-server,

    >>
    >>Is it the one serving the groups mentioned here?
    >>
    >>
    >>>..but I can't cet access ..

    ...
    >>..information you need to connect successfully?

    ....
    > Yes, and thank you!


    You're welcome. Glad I could add my small part (and
    guessed correctly to where Ich Bin was referring).

    --
    Andrew Thompson
    physci, javasaver, 1point1c, lensescapes - athompson.info/andrew
    Currently accepting short and long term contracts - on Earth.

  8. Re: Running Eclipse from RHAPS2 on RHEL-4

    Andrew Thompson wrote:
    > Dag Sunde wrote:
    >
    >> "Andrew Thompson" wrote in message
    >>> Dag Sunde wrote:
    >>>
    >>>> "news.eclipse.org" is a news-server,
    >>>
    >>> Is it the one serving the groups mentioned here?
    >>>
    >>>
    >>>> ..but I can't cet access ..

    > ..
    >>> ..information you need to connect successfully?

    > ...
    >> Yes, and thank you!

    >
    > You're welcome. Glad I could add my small part (and
    > guessed correctly to where Ich Bin was referring).
    >

    Sorry Dag, I was not more specific. You need to get a free login and
    password from Eclipse at http://www.eclipse.org/newsgroups/index.html
    first, as Andrew suggested. They will email you both the ID and password
    you need to connect to their NNTP.

    --


    Thanks in Advance...
    IchBin, Pocono Lake, Pa, USA
    http://weconsultants.servebeer.com/JHackerAppManager
    __________________________________________________ ________________________

    'If there is one, Knowledge is the "Fountain of Youth"'
    -William E. Taylor, Regular Guy (1952-)

  9. Re: Running Eclipse from RHAPS2 on RHEL-4

    On Fri, 25 Nov 2005, Lenard wrote:
    > Looks like your missing the jpackage-utils rpm


    Nope. It is there:
    jpackage-utils-1.6.0-2jpp_3rh

    > and you might want to update your j2sdk also as it is old;
    > http://java.sun.com/j2se/1.5.0/download.jsp


    The documentation said that Eclipse is tested on 1.4, not 1.5.
    Upgrade the java actually make it farther from it compatibility.

    --
    (Stephan Paul) Arif Sahari Wibowo
    _____ _____ _____ _____
    /____ /____/ /____/ /____
    _____/ / / / _____/ http://www.arifsaha.com/

  10. Re: Running Eclipse from RHAPS2 on RHEL-4

    On Thu, 24 Nov 2005, S P Arif Sahari Wibowo wrote:
    > I have difficulties try running Eclipse on RHEL-4 rebuild
    > systems (CentOS).


    Well, it runs using IBM Java (IBMJava2-142)... figures.

    Means there are still something not exactly correct to find out,
    but for now, it runs.

    Thanks!

    --
    (Stephan Paul) Arif Sahari Wibowo
    _____ _____ _____ _____
    /____ /____/ /____/ /____
    _____/ / / / _____/ http://www.arifsaha.com/

+ Reply to Thread